## org.mortbay.jetty.servlet
Class ServletMapping

    java.lang.Object
      org.mortbay.jetty.servlet.ServletMapping

    public class ServletMapping

extends Object

Constructor Summary
`ServletMapping()`

Method Summary
`String[]` `getPathSpecs()`
`String` `getServletName()`
`void` `setPathSpec(String pathSpec)`
`void` `setPathSpecs(String[] pathSpecs)`
`void` `setServletName(String servletName)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletMapping

    public ServletMapping()

Method Detail

### getPathSpecs

    public String[] getPathSpecs()

  Returns:
    Returns the pathSpec.

### getServletName

    public String getServletName()

  Returns:
    Returns the servletName.

### setPathSpecs

    public void setPathSpecs(String[] pathSpecs)

  Parameters:
    `pathSpec` - The pathSpec to set.

### setPathSpec

    public void setPathSpec(String pathSpec)

  Parameters:
    `pathSpec` - The pathSpec to set.

### setServletName

    public void setServletName(String servletName)

  Parameters:
    `servletName` - The servletName to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.